esign.h File Reference

Classes providing ESIGN signature schemes as defined in IEEE P1363a. More...

Go to the source code of this file.

## Classes

class | ESIGNFunction
| ESIGN trapdoor function using the public key. More...
class | InvertibleESIGNFunction
| ESIGN trapdoor function using the private key. More...
class | EMSA5Pad< T >
| EMSA5 padding method. More...
struct | P1363_EMSA5
| EMSA5 padding method, for use with ESIGN. More...
struct | ESIGN_Keys
| ESIGN keys. More...
struct | ESIGN< H, STANDARD >
| ESIGN signature scheme, IEEE P1363a. More...

## Detailed Description

Classes providing ESIGN signature schemes as defined in IEEE P1363a.

Since
  Crypto++ 5.0

Definition in file esign.h.